--[[
AdiBags - Classic - Localization
by Zottelchen
version: 1.0.0
This file contains translations for this filter.
]]
local addonName, addon = ...

--<GLOBALS
local _G = _G
local GetLocale = _G.GetLocale
local pairs = _G.pairs
local rawset = _G.rawset
local setmetatable = _G.setmetatable
local tostring = _G.tostring
--GLOBALS>

local L = setmetatable({}, {
  __index = function(self, key)
    if key ~= nil then
      rawset(self, key, tostring(key))
    end
    return tostring(key)
  end,
})
addon.L = L

L["AdiBags never intended to use icons, so they are glitchy. Make sure to disable prefix color, if you use an icon."] =
  true
L["Colored Categories"] = true
L["Colored Prefix"] = true
L["Custom Prefix"] = true
L["Enter a custom prefix for the categories."] = true
L["Filter version"] = true
L["General Settings"] = true
L["If you overwrite prefix or categorie color, you either need to toggle the color setting twice or reload."] = true
L["None"] = true
L["Prefix Categories"] = true
L["Prefix Color"] = true
L["Select a color for the prefix."] = true
L["Select a prefix for the categories, if you like."] = true
L["Settings affecting all categories."] = true
L["Should Categories be colored?"] = true
L["Should the prefix be colored to the filter color? (Only works for text-prefixes, for obvious reasons.)"] = true
L["These settings affect all categories of this filter."] = true
--
L["%sMerge %s%s"] = true
L["Bandages"] = true
L["Bandages to heal yourself."] = true
L["Classic"] = true
L["Cloth"] = true
L["Cloth used in Tailoring."] = true
L["Color"] = true
L["Consumables"] = true
L["Consumables to consume."] = true
L["Drink this for a powerup!"] = true
L["Elemental"] = true
L["Elementals used in all professions."] = true
L["Elixirs"] = true
L["Elixirs to drink."] = true
L["Enchanting"] = true
L["Enchanting materials for enchanting weapons & armor."] = true
L["Flasks"] = true
L["Flasks to drink."] = true
L["Flasks, Elixirs & Potions"] = true
L["Foods and Drinks"] = true
L["Foods and Drinks to consume."] = true
L["Healthstone"] = true
L["Herbs"] = true
L["Herbs used in Alchemy & Inscription."] = true
L["Inscription"] = true
L["Inscription materials for creating glyphs or other paper related goods."] = true
L["Items from the main game."] = true
L["Items you can eat or use to improve yourself"] = true
L["Jewelcrafting"] = true
L["Jewelcrafting materials for creating rings, necklaces, gems, etc."] = true
L["Just a healthstone."] = true
L["Just your typical healthstone."] = true
L["Leather"] = true
L["Leather used in Leatherworking."] = true
L["Meat & Fish"] = true
L["Meat & Fish used in Cooking."] = true
L["Merge all %s into a single category."] = true
L["Metal & Stone"] = true
L["Metal & Stone used in Blacksmithing."] = true
L["Other Consumables"] = true
L["Other Consumables to consume."] = true
L["Other Tradegoods"] = true
L["Other items used in various professions."] = true
L["Parts"] = true
L["Parts used in Engineering."] = true
L["Permanent Enhancements"] = true
L["Potions"] = true
L["Potions to drink."] = true
L["Select a color for %s."] = true
L["Select a color for the merged %s category."] = true
L["Temporary & Permanent Enhancements"] = true
L["Temporary Enhancements"] = true
L["These are permanent enhancements that you can typically apply to armor to improve it."] = true
L["These are temporary enhancements that you can typically apply to armor to improve it."] = true
L["Tradegoods"] = true
L["Trading tradegoods is good. Trade tradegoods for good goods."] = true
L["Use these for a powerup!"] = true

local locale = GetLocale()
if locale == "frFR" then
  
elseif locale == "deDE" then
  
elseif locale == "ruRU" then
  
elseif locale == "esES" then
  
elseif locale == "zhTW" then
  
elseif locale == "zhCN" then
  
elseif locale == "koKR" then
  
elseif locale == "ptBR" then
  
elseif locale == "itIT" then
  
end

for k, v in pairs(L) do
  if v == true then
    L[k] = k
  end
end
